package com.sunxung.factoring.entity.settlement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 结算单管理-审核表
 * @author liutao
 * @date 2021.10.1
 */
@TableName("settlement_approval")
public class SettlementApproval extends BaseEntity {

    /**
     * 结算单表Id
     */
    @TableField("settlement_basic_info_id")
    private Long settlementBasicInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * '审批结论
     */
    @NotNull(message = "请选择审核结论")
    @TableField("approval_conclusion")
    private String approvalConclusion;
    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;

    /**
     * 审核结论 前端用
     */
    @TableField(exist = false)
    private String result;
    /**
     * 上有结算单
     */
    @TableField(exist = false)
    private List<FileStorageDO> files;
    /**
     * 流程id
     */
    @TableField(exist = false)
    private String taskId;
    /**
     * 流程名称
     */
    @TableField(exist = false)
    private String taskName;

    public SettlementApproval() {
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }
}
